# fourdst::libcomposition: fourdst::composition::exceptions::CompositionNotFinalizedError Class Reference

Loading...
Searching...
No Matches
fourdst::composition::exceptions::CompositionNotFinalizedError Class Referencefinal

Exception thrown when an operation is attempted on a composition that has not been finalized. More...

`#include <exceptions_composition.h>`

Inheritance diagram for fourdst::composition::exceptions::CompositionNotFinalizedError:

## Private Member Functions

| CompositionError (const std::string &message)
| Constructs a CompositionError with an error message.

## Additional Inherited Members

Public Member Functions inherited from fourdst::composition::exceptions::CompositionError
| CompositionError (const std::string &message)
| Constructs a CompositionError with an error message.
const char * | what () const noexcept override
| Returns the error message.
Protected Attributes inherited from fourdst::composition::exceptions::CompositionError
std::string | m_message
| The error message.

## Detailed Description

Exception thrown when an operation is attempted on a composition that has not been finalized.

Certain operations require the composition to be in a "finalized" state. This error indicates that such an operation was called prematurely.

Definition at line 74 of file exceptions_composition.h.

## Member Function Documentation

## CompositionError()

fourdst::composition::exceptions::CompositionError::CompositionError | ( | const std::string & | message | ) |

inlineexplicitprivate

Constructs a CompositionError with an error message.

Parameters

  message | The error message.

Definition at line 25 of file exceptions_composition.h.

The documentation for this class was generated from the following file:

- src/composition/include/fourdst/composition/exceptions/exceptions_composition.h